public class Voiture implements IVehicule, Comparable {

    // les attributs
    private int kilométrage;
    private int année;
    private int nombrePortes;

    public Voiture(int kilométrage, int année, int nombrePortes) {
        this.kilométrage = kilométrage;
        this.année = année;
        this.nombrePortes = nombrePortes;
    }

    public boolean construitAvant(int autreAnnée){
        return this.année < autreAnnée;
    }

    @Override
    public double coutAmelioration() {
        return 0;
    }

    @Override
    public boolean peutTransporter(int n) {
        return false;
    }

    @Override
    public int compareTo(Object o) {
        Voiture autreVoiture = (Voiture) o;
        int autreKilométrage = autreVoiture.kilométrage;

        if (kilométrage > autreKilométrage)
            return 1;

        if (kilométrage == autreKilométrage)
            return 0;

        return -1;

    }

    @Override
    public String toString() {
        return "Voiture{" +
                "kilométrage=" + kilométrage +
                ", année=" + année +
                ", nombrePortes=" + nombrePortes +
                '}';
    }
}
